#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/init.h>

static int __init basic_module_init(void) {
    printk(KERN_INFO "Bonjour! Le module basique est chargé.\n");
    return 0;
}

static void __exit basic_module_exit(void) {
    printk(KERN_INFO "Au revoir! Le module basique est déchargé.\n");
}

module_init(basic_module_init);
module_exit(basic_module_exit);

MODULE_LICENSE("MIT License");
MODULE_AUTHOR("Florian RICHER");
MODULE_DESCRIPTION("Un module noyau basique qui affiche un message");
MODULE_VERSION("1.0");
